#include <iostream>

using namespace std;

int main()
{
    long long int karte, gornja, j;
    long long int brojevi[20000];
    cin >> karte >> gornja;
    for(int i = 0; i < karte; i++){
        cin >> brojevi[i];
        if(brojevi[i] == gornja){
            j = (i + 1) % karte;   
        }
    }
    cout << endl << brojevi[j];
}